com.microfocus.zserver.zexplorer.ui.view

## Class NewMappingDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - com.microfocus.zserver.zexplorer.ui.view.NewMappingDialog

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.jface.window.IShellProvider, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

      public class NewMappingDialog
      extends org.eclipse.jface.dialogs.TitleAreaDialog
      implements org.eclipse.swt.events.SelectionListener, org.eclipse.swt.events.ModifyListener

  Dialog for creating a new `FileMapping`.
  Author:
    Ralf Pakosch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `org.eclipse.jface.window.Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewMappingDialog(org.eclipse.swt.widgets.Shell pShell, FileMappingStore pMappings, FileMapping pFm)` Constructor for changing a `FileMapping`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modifyText(org.eclipse.swt.events.ModifyEvent e)`
    `void` | `setErrorMessage(java.lang.String pNewErrorMessage)`
    `void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent pE)`
    `void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent pE)`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `getErrorMessage, getMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.swt.events.SelectionListener

      `widgetDefaultSelectedAdapter, widgetSelectedAdapter`

- - ### Constructor Detail

    - #### NewMappingDialog

          public NewMappingDialog(org.eclipse.swt.widgets.Shell pShell,
                                  FileMappingStore pMappings,
                                  FileMapping pFm)

      Constructor for changing a `FileMapping`. Does not open the dialog.
      Parameters:
        `pShell` - the parent shell
        `pMappings` - the file mapping store
        `pFm` - the file mapping to be opened in the dialog
      See Also:
        `Window.open()`

  - ### Method Detail

    - #### widgetSelected

          public void widgetSelected(org.eclipse.swt.events.SelectionEvent pE)

      Specified by:
        `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

    - #### widgetDefaultSelected

          public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent pE)

      Specified by:
        `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

    - #### setErrorMessage

          public void setErrorMessage(java.lang.String pNewErrorMessage)

      Overrides:
        `setErrorMessage` in class `org.eclipse.jface.dialogs.TitleAreaDialog`

    - #### modifyText

          public void modifyText(org.eclipse.swt.events.ModifyEvent e)

      Specified by:
        `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

Copyright © 2015 Micro Focus GmbH. All rights reserved.